Recommended update for migrate-sles-to-sles4sap

SUSE Recommended Update: Recommended update for migrate-sles-to-sles4sap
Announcement ID: SUSE-RU-2019:2751-1
Rating: moderate
References: #1112548
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4

An update that has one recommended fix can now be installed.

Description:

This update for migrate-sles-to-sles4sap contains the following fixes:

  • Fixed /etc/os-release issue after using migration script from SLES to SLES4SAP: (bsc#1112548) * Removed several hacks that aren't necessary anymore, due to changes in SUSEConnect * Bootloader change isn't necessary anymore as SLES will always be shown in GRUB2 regardless if SLES or SLES for SAP * removed hardcoded version dependencies to make the script version independent * added rollback in case of failed migration * added additional runtime warnings and infos for user * restructured code for cleaner readability * fixed ShellCheck issues * changed parsing for variables like VERSION and CPE from /etc/os-release to /etc/products.d/baseproduct, as /etc/os-release doesn't differ on SLES and SLES for SAP * Checks the SSL certificate of SMT and RMT servers. * Added user input to allow self-signed SSL certificates on SMT and RMT servers. * Fixed RMT registration issue.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-2751=1

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • migrate-sles-to-sles4sap-12.4.2-4.3.1

References: